<!--
 - Created by MarosGrajcar on 3/10/2020.
 -->

<!-- Elg Shift Summary -->
<template>

    <template if:true={loading}>
        <lightning-spinner class="slds-is-relative" alternative-text="Loading"></lightning-spinner>
    </template>

    <div class="slds-p-around_small slds-card slds-m-top_small slds-hyphenate" if:false={loading}>

        <div class="slds-text-title_caps slds-section slds-p-around_small" style="background-color:#f5f5f5">
            HSE Incidents
        </div>

        <div class="slds-p-around_small slds-hyphenate" if:true={shiftSummary}>
            <template if:true={isView}>{shiftSummary.HSE_Incidents__c}</template>

            <textarea if:false={isView}
                                class="customtextarea slds-textarea"
                                onchange={handleHSESection}>
                {shiftSummary.HSE_Incidents__c}
            </textarea>
        </div>

        <div class="slds-text-title_caps slds-section slds-p-around_small" style="background-color:#f5f5f5">
            Daily Variance 300 BBL / 50 m3 or more
        </div>

        <div class="slds-p-around_small" if:true={shiftSummary}>
            <template if:true={isView}>{shiftSummary.Daily_Variance_300_Barrels_or_more__c}</template>

            <textarea if:false={isView}
                      class="customtextarea slds-textarea"
                      onchange={handleDailySection}>
                {shiftSummary.Daily_Variance_300_Barrels_or_more__c}
            </textarea>
        </div>

        <div class="slds-text-title_caps slds-section slds-p-around_small" style="background-color:#f5f5f5">
            Forecasted Variance 300 BBL / 50 m3 or more and Duration of Variance
        </div>

        <div class="slds-p-around_small" if:true={shiftSummary}>
            <template if:true={isView}>{shiftSummary.Forecasted_Variance_300_Barrels_or_more__c}</template>

            <textarea if:false={isView}
                      class="customtextarea slds-textarea"
                      onchange={handleForecastSection}>
                {shiftSummary.Forecasted_Variance_300_Barrels_or_more__c}
            </textarea>
        </div>

        <div class="slds-text-title_caps slds-section slds-p-around_small" style="background-color:#f5f5f5">
            Facility Shutdowns/Trips
        </div>

        <div class="slds-p-around_small" if:true={shiftSummary}>
            <template if:true={isView}>{shiftSummary.Facility_Shutdowns_Trips__c}</template>

            <textarea if:false={isView}
                      class="customtextarea slds-textarea"
                      onchange={handleShutdownSection}>
                {shiftSummary.Facility_Shutdowns_Trips__c}
            </textarea>
        </div>

        <div class="slds-text-title_caps slds-section slds-p-around_small" style="background-color:#f5f5f5">
            Current or Upcoming Operational Issues
        </div>

        <div class="slds-p-around_small" if:true={shiftSummary}>
            <template if:true={isView}>{shiftSummary.Current_or_Upcoming_Operational_Issues__c}</template>

            <textarea if:false={isView}
                      class="customtextarea slds-textarea"
                      onchange={handleOperationalSection}>
                {shiftSummary.Current_or_Upcoming_Operational_Issues__c}
            </textarea>
        </div>

        <div if:false={isView} class="slds-border_top slds-align_absolute-center slds-p-around_small">
            <lightning-button label="Save" variant="brand" onclick={saveSummary}></lightning-button>
            <lightning-button label="Cancel" variant="neutral" onclick={cancelEditMode}></lightning-button>
        </div>

    </div>
</template>